import { EnterpriseMaterialFileBusinessTypeEnum } from '@/constants';
import { UploadUserFile } from '@bole-core/components';

export type FourStreamsMaterialFileTableProps = {
  showUploadBtn?: boolean;
  showCheckBtn?: boolean;
  showDownloadBtn?: boolean;
  showDeleteBtn?: boolean;
  downloadBtnText?: string;
};

export type FourStreamsMaterialFileTableItem = {
  fileBusinessType: FourStreamsMaterialFileBusinessTypeEnum;
  fileList: UploadUserFile[];
};

export enum EnterpriseTypeEnum {
  /**
   * 人力资源公司
   */
  HREnterprise = 10,
  /**
   * 甲方企业
   */
  FirstPartyCompany = 20,
  /**
   * 行业配套
   */
  IndustryMating = 30,
  /**
   * 行业机构
   */
  IndustryBody = 40,
}

export const EnterpriseTypeEnumText = {
  [EnterpriseTypeEnum.HREnterprise]: '人力资源公司',
  [EnterpriseTypeEnum.FirstPartyCompany]: '甲方企业',
  [EnterpriseTypeEnum.IndustryMating]: '行业配套',
  [EnterpriseTypeEnum.IndustryBody]: '行业机构',
};

export enum FourStreamsMaterialFileBusinessTypeEnum {
  /** 园区入驻协议 */
  ParkEnterPactUrl = 10,
  /** 企业完税证明（盖章） */
  RatePaymentFileUrl = 20,
  /** 企业缴税明细汇总表（盖章） */
  TaxSubFileUrl = 30,
  /** 企业营收利润表 */
  OperateProfitesUrl = 40,
  /** 入驻关联说明 */
  EnterRelateUrl = 50,
  /** C端个税完税情况说明 */
  PersonTaxRatePayUrl = 60,
}
export const FourStreamsMaterialFileBusinessTypeEnumText = {
  [FourStreamsMaterialFileBusinessTypeEnum.ParkEnterPactUrl]: '园区入驻协议',
  [FourStreamsMaterialFileBusinessTypeEnum.RatePaymentFileUrl]: '企业完税证明(盖章)',
  [FourStreamsMaterialFileBusinessTypeEnum.TaxSubFileUrl]: '企业缴税明细汇总表(盖章)',
  [FourStreamsMaterialFileBusinessTypeEnum.OperateProfitesUrl]: '企业营收利润表',
  [FourStreamsMaterialFileBusinessTypeEnum.EnterRelateUrl]: '入驻关联说明',
  [FourStreamsMaterialFileBusinessTypeEnum.PersonTaxRatePayUrl]: 'C端个税完税情况说明',
};

export const FourStreamsMaterialFileBusinessTypeEnumKey = {
  [FourStreamsMaterialFileBusinessTypeEnum.ParkEnterPactUrl]: 'parkEnterPactUrl',
  [FourStreamsMaterialFileBusinessTypeEnum.RatePaymentFileUrl]: 'ratePaymentFileUrl',
  [FourStreamsMaterialFileBusinessTypeEnum.TaxSubFileUrl]: 'taxSubFileUrl',
  [FourStreamsMaterialFileBusinessTypeEnum.OperateProfitesUrl]: 'operateProfitesUrl',
  [FourStreamsMaterialFileBusinessTypeEnum.EnterRelateUrl]: 'enterRelateUrl',
  [FourStreamsMaterialFileBusinessTypeEnum.PersonTaxRatePayUrl]: 'personTaxRatePayUrl',
} as const;
